--- old/usr/src/man/man3c/btowc.3c	Fri Jul 11 11:43:07 2014
+++ new/usr/src/man/man3c/btowc.3c	Fri Jul 11 11:43:07 2014
@@ -1,5 +1,6 @@
 '\" te
 .\"  Copyright (c) 1992, X/Open Company Limited All Rights Reserved  Portions Copyright (c) 2002, Sun Microsystems, Inc.  All Rights Reserved
+.\" Copyright (c) 2014, Joyent, Inc.  All rights reserved.
 .\" Sun Microsystems, Inc. gratefully acknowledges The Open Group for permission to reproduce portions of its copyrighted documentation. Original documentation from The Open Group can be obtained online at
 .\" http://www.opengroup.org/bookstore/.
 .\" The Institute of Electrical and Electronics Engineers and The Open Group, have given us permission to reprint portions of their documentation. In the following statement, the phrase "this text" refers to portions of the system documentation. Portions of this text are reprinted and reproduced in electronic form in the Sun OS Reference Manual, from IEEE Std 1003.1, 2004 Edition, Standard for Information Technology -- Portable Operating System Interface (POSIX), The Open Group Base Specifications Issue 6, Copyright (C) 2001-2004 by the Institute of Electrical and Electronics Engineers, Inc and The Open Group. In the event of any discrepancy between these versions and the original IEEE and The Open Group Standard, the original IEEE and The Open Group Standard is the referee document. The original Standard can be obtained online at http://www.opengroup.org/unix/online.html.
@@ -7,9 +8,9 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH BTOWC 3C "Jul 24, 2002"
+.TH BTOWC 3C "Jun 27, 2014"
 .SH NAME
-btowc \- single-byte to wide-character conversion
+btowc, btowc_l \- single-byte to wide-character conversion
 .SH SYNOPSIS
 .LP
 .nf
@@ -18,18 +19,25 @@
 
 \fBwint_t\fR \fBbtowc\fR(\fBint\fR \fIc\fR);
 .fi
+.LP
+.nf
+#include <stdio.h>
+#include <wchar.h>
+#include <xlocale.h>
 
+\fBwint_t\fR \fBbtowc_l\fR(\fBint\fR \fIc\fR, \fBlocale_t\fR \fIloc\fR);
+.fi
 .SH DESCRIPTION
-.sp
 .LP
-The \fBbtowc()\fR function determines whether \fIc\fR constitutes a valid
-(one-byte) character in the initial shift state.
-.sp
+The \fBbtowc()\fR and \fBbtowc_l\fR()functions determines whether
+\fIc\fR constitutes a valid (one-byte) character in the initial shift
+state.
 .LP
-The behavior of this function is affected by the \fBLC_CTYPE\fR category of the
-current locale.  See \fBenviron\fR(5).
+The behavior of \fBbtowc()\fR is affected by the \fBLC_CTYPE\fR category of the
+current locale.  See \fBenviron\fR(5). The function \fBbtowc_l()\fR does
+not use the current locale, and instead operates on the locale 
+specified by \fIloc\fR.
 .SH RETURN VALUES
-.sp
 .LP
 The \fBbtowc()\fR function returns \fBWEOF\fR if \fIc\fR has the value
 \fBEOF\fR or if  \fB(unsigned char)\fR\fIc\fR does not constitute a valid
@@ -36,16 +44,11 @@
 (one-byte) character in the initial shift state.  Otherwise, it returns the
 wide-character representation of that character.
 .SH ERRORS
-.sp
 .LP
 No errors are defined.
 .SH ATTRIBUTES
-.sp
 .LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
 .TS
 box;
 c | c
@@ -52,18 +55,19 @@
 l | l .
 ATTRIBUTE TYPE	ATTRIBUTE VALUE
 _
-Interface Stability	Standard
+Interface Stability	See below.
 _
-MT-Level	MT-Safe with exceptions
+MT-Level	MT-Safe
 .TE
 
+.LP
+The
+.B btowc()
+function is Standard.  The
+.B btowc_l()
+function is Uncommitted.
 .SH SEE ALSO
 .sp
 .LP
-\fBsetlocale\fR(3C), \fBwctob\fR(3C), \fBattributes\fR(5), \fBenviron\fR(5),
-\fBstandards\fR(5)
-.SH NOTES
-.sp
-.LP
-The \fBbtowc()\fR function can be used safely in multithreaded applications, as
-long as \fBsetlocale\fR(3C) is not being called to change the locale.
+\fBnewlocale\fR(3C), \fBsetlocale\fR(3C), \fBuselocale\fR(3C), \fBwctob\fR(3C),
+\fBattributes\fR(5), \fBenviron\fR(5), \fBstandards\fR(5)